/**
* 2025-05-15 18:47:06 | www.dreamdesignsweb.com
*/

.contentBody {
    width :100%;
    max-width: 800px;
    margin: 0 auto;
    padding-top: 3rem !important; /* overwrite default */

    @media (max-width: 430px) {
        padding: 2rem 0 0 !important;
    }
}

h1 {
    @media (max-width: 540px) {
        font-size: 1.75rem;
    }
    @media (max-width: 430px) {
        font-size: 1.563rem;
    }
}

.cartWrapper {
    width: 100%;
    max-width: 800px;
    margin: 2rem auto;
    border: solid 1px #c0c0c0;

    @media (max-width:540px) {
        display: block;
    }
}
.itemRow {
    display: flex;
    align-items: flex-start;
    gap: 0;

    width: 100%;

    @media (max-width:540px) {
        justify-content: space-between;
        flex-wrap: wrap;
        gap: 0;
    }
}
.itemRowHeader {
    background-color: #f9f9f9;

    @media (max-width:540px) {
        display: none;
    }
}
.itemRowHeader .itemCell {
    font-size: 14px;
}
.itemRow .itemCell {
    flex-shrink: 1;
    flex-grow: 1;
    padding: 0.75rem 0.5rem;
    vertical-align: middle;

    @media (max-width:540px) {
        flex: 1 1 50%;
        align-self: flex-start;
        text-align: left;
        font-size: 0.875rem;
    }
}
.itemRow + .itemRow .itemCell {
    border-top: solid 1px #c0c0c0;
}
.itemRowHeader + .itemRow .itemCell {
    border-top: solid 1px #efefef;
}
.itemRow .itemCellNum {
    width: auto;
    max-width: 120px;
    padding-left: 1rem;
    
    @media (max-width:540px) {
        width: 100%;
        max-width: 70px;
    }
}
.itemRow .itemCellQty {
    max-width: 70px;

    @media (max-width:540px) {
        padding-left: 1rem;
        padding-top: 5px;
        max-width: unset;
    }
}
.itemRow .itemCellQty .itemQtyText {
    display: none;

    @media (max-width:540px) {
        display: inline;
    }
}
.itemRow .itemCellLineTotal {
    width: 100px;
    max-width: 100px;
    text-align: right;
    padding-right: 1rem;

    @media (max-width:540px) {
        padding-top: 5px;
        width: auto;
        max-width: 90px;
    }
}
.itemRowTax .itemCell,
.itemRowShipping .itemCell, 
.itemRowTotal .itemCell {
    text-align: right;
    font-weight: 600;
    padding-right: 1rem;
    background-color: #f9f9f9;
}
.itemRow .itemCellEmpty {

    @media (max-width:540px) {
        display: none;
    }
}
.itemRowTax .itemCell .fineprint {
    font-size: 11px;
    color: #f00;
}
.itemAndQtyLine {
    display: none;

    @media (max-width:540px) {
        display: inline;
    }
}

.qtyField {
    width: 22px;
}
.qtyAdd,
.qtySubtract {
    width: 20px;
    height: auto;
}
.qtyAdd:hover, 
.qtySubtract:hover {
    cursor: pointer;
    border-bottom: solid 1px #808080;
}
.qtyAdd + .qtySubtract  {
    margin-left: 4px;
}
.buttonQtyUpdate {
    padding: 0;
    margin: 0;
    font-family: monospace;
    font-size: 12px;
    color: #f50;
    background: none;
    border: none;
    box-shadow: unset;
}
.buttonQtyUpdate:hover {
    background: none;
    text-decoration: underline;
}
.qtyCheckmark {
    visibility: hidden;
    width: 14px;
    height: auto;
}
.qtyCheckmarkShow {
    visibility: visible;
}

.ctaSet {
    text-align: right;
}
.ctaSet .button {
    vertical-align: middle;
    font-size: 0.875rem;
}
.ctaSet .button > span {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    bottom: 2px;
    font-size: 1.25rem;
    line-height: 0;
    vertical-align: middle;
}
.ctaSet .button + .button {
    margin-left: 1rem;
}